> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Admin] Atualizar aula



## OpenAPI

````yaml /openapi/tenant.pt-BR.json put /api/v2/admin/education/courses/{courseId}/lessons/{lessonId}
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/admin/education/courses/{courseId}/lessons/{lessonId}:
    put:
      tags:
        - Cursos
      summary: '[Admin] Atualizar aula'
      operationId: AdminUpdateLesson
      parameters:
        - name: courseId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: lessonId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Education.Course.Application.Requests.Admin.AdminUpdateLesson.AdminUpdateLessonRequest
        required: true
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Education.Course.Application.Requests.Admin.AdminUpdateLesson.AdminUpdateLessonRequest:
      type: object
      properties:
        courseId:
          type: string
          format: uuid
        lessonId:
          type: string
          format: uuid
        title:
          type: string
          nullable: true
        htmlContent:
          type: string
          nullable: true
        content:
          type: string
          nullable: true
        mediaUrl:
          type: string
          nullable: true
        duration:
          type: integer
          format: int32
        isDraft:
          type: boolean
        free:
          type: boolean
        coverUrl:
          type: string
          nullable: true
        launchAt:
          type: string
          format: date-time
          nullable: true
        finishAt:
          type: string
          format: date-time
          nullable: true
        isAudio:
          type: boolean
        showSubtitles:
          type: boolean
        moduleId:
          type: string
          format: uuid
          nullable: true
        attachments:
          type: array
          items:
            $ref: >-
              #/components/schemas/Cativa.Education.Course.Application.Requests.Admin.AdminUpdateLesson.AdminUpdateLessonAttachmentDto
          nullable: true
        mediaAssetId:
          type: string
          format: uuid
          nullable: true
        instructorId:
          type: string
          format: uuid
          nullable: true
        showCompleteButton:
          type: boolean
        allowComments:
          type: boolean
        allowPdfDownload:
          type: boolean
        mediaType:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    Cativa.Education.Course.Application.Requests.Admin.AdminUpdateLesson.AdminUpdateLessonAttachmentDto:
      type: object
      properties:
        url:
          type: string
          nullable: true
        filename:
          type: string
          nullable: true
        size:
          type: integer
          format: int64
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````